Subject: [MMUSIC] Feedback requested - draft-ietf-mmusic-msrp-usage-data-channel

From: Jose M Recio <[email-masked]>
Date: Mon, 23 Apr 2018 13:48:38 +0800

Hello, all,

Looking for feedback on a question about msrp-usage-data-channel draft:

In section 4.4, current draft says URI scheme

> is always "msrps", which indicates that the MSRP data channel is 
> always secured using DTLS
>
This is overloading the original meaning in RFC4975, that specified that

> "A scheme of "msrps" indicates that the underlying connection MUST be 
> protected with TLS."

Question: Should IANA info on msrps parameter be updated to include 
DTLS, including usage over WebRTC data channel, to reference to this 
draft? Or can we understand that DTLS is legitimately covered by the 
IANA registry described in RFC4975, so there's no need to update IANA?

Many thanks for your input, regards,

JM